﻿using System.Threading.Tasks;
using UnityEngine.SceneManagement;
using UnityEngine;
using HarmonyLib;

public class MaxLevel : Mod
{
    public async void Start()
    {
        Debug.Log("[MaxLevel] Mod has been loaded!");
        while (!Player.Get())
        {
            await Task.Delay(1000);
        }
        while (!Player.Get().IsWalking())
        {
            await Task.Delay(1000);
        }
        foreach (Skill skill in SkillsManager.Get().m_Skills)
		{
            Traverse.Create(skill).Field("m_ValueInternal").SetValue(100f);
        }

        Debug.Log("[MaxLevel] Skills have been set to max level!");

    }

    public void OnModUnload()
    {
        Debug.Log("[MaxLevel] Mod has been unloaded!");
    }
}